<?php
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_penetapanair');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();

$sumurbor = array(1=>'Sumur Bor',2=>'Sumur Pantek');
?>

<style type="text/css">
    blink, .blink {
        -webkit-animation: blink 1s step-end infinite;
        -moz-animation: blink 1s step-end infinite;
        -o-animation: blink 1s step-end infinite;
        animation: blink 1s step-end infinite;
    }

    @-webkit-keyframes blink {
        67% { opacity: 0 }
    }

    @-moz-keyframes blink {
        67% { opacity: 0 }
    }

    @-o-keyframes blink {
        67% { opacity: 0 }
    }

    @keyframes blink {
        67% { opacity: 0 }
    }
</style>
<div id="page-content-wrapper">
    <div id="page-content">
        <div class="">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <i class="glyph-icon icon-check"></i>
                        PENETAPAN SKPD <?= strtoupper($datatransaksi['s_namajenis']) ?><b class="blink" style="font-size: 12px; color: red"><?= $message ?></b>
                        <a href="<?=$this->url('penetapan')?>" class="btn btn-danger pull-right"><i class="glyph-icon icon-minus-square-o"></i> Batal</a>
                    </h4>
                </div>
                <div class="panel-body">
                    <div class="example-box-wrapper">
                        <?= $this->form()->openTag($form) ?>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data WP / Pemilik</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">NPWPD</label>
                                <div class="col-sm-4">
                                    : <b style="color:blue;"><?= $datatransaksi['t_npwpd'] ?></b>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">NIK</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_nik'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Nama</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_nama'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Alamat</label>
                                <div class="col-sm-10">
                                    : <?= $datatransaksi['t_alamat'] ?>
                                    ,RT. <?= $datatransaksi['t_rt'] ?>
                                    ,RW. <?= $datatransaksi['t_rw'] ?>
                                    ,Desa/Kel. <?= $datatransaksi['s_namakel'] ?>
                                    ,Kec. <?= $datatransaksi['s_namakec'] ?>
                                    ,Kab. <?= $datatransaksi['t_kabupaten'] ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data Objek Pajak</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">NIOP</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_nop'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Nama</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_namaobjek'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Alamat</label>
                                <div class="col-sm-10">
                                    : <?= $datatransaksi['t_alamatobjek'] ?>
                                    ,RT. <?= $datatransaksi['t_rtobjek'] ?>
                                    ,RW. <?= $datatransaksi['t_rwobjek'] ?>
                                    ,Desa/Kel. <?= $datatransaksi['s_namakelobjek'] ?>
                                    ,Kec. <?= $datatransaksi['s_namakecobjek'] ?>
                                    ,Kab. <?= $datatransaksi['t_kabupatenobjek'] ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data Pendataan <u>[ No. SPTPD : <?=$datatransaksi['t_nourut']?> ]</u></b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Tgl Pendataan</label>
                                <div class="col-sm-4">
                                    : <?= date('d-m-Y', strtotime($datatransaksi['t_tglpendataan']))?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Masa Pajak</label>
                                <div class="col-sm-4">
                                    : <?= date('d-m-Y', strtotime($datatransaksi['t_masaawal'])).' s/d '.date('d-m-Y', strtotime($datatransaksi['t_masaakhir']))?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Kode Rekening</label>
                                <div class="col-sm-10">
                                    : <b><?= $datatransaksi['korek'].' - '.strtoupper($datatransaksi['s_namakorek'])?></b>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Zona</label>
                                <div class="col-sm-2">
                                    : <?= $datatransaksi['s_kodezona'].' - '.$datatransaksi['s_namazona'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Kelompok</label>
                                <div class="col-sm-2">
                                    : <?= $datatransaksi['s_kodekelompok'].' - '.$datatransaksi['s_namakelompok'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Jenis </label>
                                <div class="col-sm-2">
                                    : <?= $datatransaksi['s_kodejenis'].' - '.$datatransaksi['s_namakodejenis'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Jenis Sumur</label>
                                <div class="col-sm-2">
                                    : <?= $sumurbor[$datatransaksi['t_jenissumur']] ?>
                                </div>
                                <label class="col-sm-2">Ke-<?= $datatransaksi['t_sumurke'] ?></label>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Lokasi Sumur</label>
                                <div class="col-sm-6">
                                    : <?= $datatransaksi['t_lokasisumur'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Volume</label>
                                <div class="col-sm-4">
                                    : <?= number_format($datatransaksi['t_volume'], 2, ',', '.') ?> (m<sup>3</sup>)
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Perhitungan</label>
                                <div class="col-sm-5"> :
                                    <table width="100%" style="">
                                            <?php 
                                            if($datatransaksi['t_volumeair0']!=0) { ?>
                                            <tr>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_volumeair0'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_hargadasar0'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=$datatransaksi['t_tarif0']?>% =</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_jumlah0'],2,',','.')?></td>
                                            </tr>
                                            <?php 
                                            }else{ echo '<tr><td colspan="4">&nbsp;</td></tr>'; }
                                            if($datatransaksi['t_volumeair1']!=0) { ?>
                                            <tr>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_volumeair1'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_hargadasar1'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=$datatransaksi['t_tarif1']?>% =</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_jumlah1'],2,',','.')?></td>
                                            </tr>
                                            <?php 
                                            }else{ echo '<tr><td colspan="4">&nbsp;</td></tr>'; }
                                            if($datatransaksi['t_volumeair2']!=0) { ?>
                                            <tr>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_volumeair2'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_hargadasar2'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=$datatransaksi['t_tarif2']?>% =</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_jumlah2'],2,',','.')?></td>
                                            </tr>
                                            <?php 
                                            }else{ echo '<tr><td colspan="4">&nbsp;</td></tr>'; }
                                            if($datatransaksi['t_volumeair3']!=0) { ?>
                                            <tr>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_volumeair3'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_hargadasar3'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=$datatransaksi['t_tarif3']?>% =</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_jumlah3'],2,',','.')?></td>
                                            </tr>
                                            <?php 
                                            }else{ echo '<tr><td colspan="4">&nbsp;</td></tr>'; }
                                            if($datatransaksi['t_volumeair4']!=0) { ?>
                                            <tr>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_volumeair4'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_hargadasar4'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=$datatransaksi['t_tarif4']?>% =</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_jumlah4'],2,',','.')?></td>
                                            </tr>
                                            <?php 
                                            }else{ echo '<tr><td colspan="4">&nbsp;</td></tr>'; }
                                            if($datatransaksi['t_volumeair5']!=0) { ?>
                                            <tr>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_volumeair5'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_hargadasar5'],0,',','.')?> x</td>
                                                <td style="text-align:right;"><?=$datatransaksi['t_tarif5']?>% =</td>
                                                <td style="text-align:right;"><?=number_format($datatransaksi['t_jumlah5'],2,',','.')?></td>
                                            </tr>
                                            <?php }else{ echo '<tr><td colspan="4">&nbsp;</td></tr>'; } ?>
                                        </table>
                                </div>
                            </div>
<!--                            <div class="col-sm-12">
                                <label class="col-sm-2">Tarif</label>
                                <div class="col-sm-4">
                                    : <= $datatransaksi['t_tarifpajak'] ?> (%)
                                </div>
                            </div>-->
                            <div class="col-sm-12">
                                <label class="col-sm-2">Jumlah Pajak</label>
                                <div class="col-sm-4">
                                    : <b style="color:blue;font-size: 14pt;">Rp. <?= number_format($datatransaksi['t_jmlhpajak'], 0, ',', '.') ?>,-</b>
                                </div>
                            </div>
                        </div>
                        <div class="row pad10B">
                            <div class="col-sm-12">
                                <div class="alert alert-warning">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data Penetapan</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2 control-label">Tanggal Penetapan</label>
                                <div class="col-md-2">
                                    <div class="input-prepend input-group">
                                        <span class="add-on input-group-addon">
                                            <i class="glyph-icon icon-calendar"></i>
                                        </span>
                                        <input type="hidden" name="t_jenisobjekpajak" value="<?= $datatransaksi['t_jenisobjek'] ?>">
                                        <?= $this->formHidden($form->get("t_idtransaksi")) ?>
                                        <?= $this->formText($form->get("t_tglpenetapan")) ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="bg-default" id="tombolsimpan">
                            <?= $this->formInput($form->get('Penetapansubmit')) ?> 
                        </div>
                        <?= $this->form()->closeTag($form) ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalSimpan" tabindex="-1" aria-hidden="true" style="text-align: center;width: 100%;">
    <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
</div>
<script>
    $('#Penetapansubmit').click(function () {
        var myForm = document.getElementById('demo-form');
        myForm.onsubmit = function () {
            var allInputs = myForm.getElementsByTagName('input');
            var input, i;

            for (i = 0; input = allInputs[i]; i++) {
                if (input.getAttribute('name') && !input.value) {
                    //input.setAttribute('name', '');

                } else {
                    jQuery('#modalSimpan').modal('show');
                }
            }
        };
    });
</script>